Subject: Re: cron problem in W2K Proffesional
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Mon, 09 Dec 2002 16:58:05 -0800

Eric De La Cruz Lugo wrote:

> The cron works now!, the output its ok (date.txt).
>
> but with my script the things are different, here are
> the files I use.. I tested the script from the command
> line and work flawlesly, but when i add it to my
> crontab it does not work has expected!
>
> the files are atached to the mail, and the output from
> the script being executed by the cron its there too.
>
> hope you can help me or advise me.

My suspicion would be that somewhere along the line you are referencing 
a mount point or a mapped location that just is not accessible from 
cron. Cron's environment does not insure that all network locations are 
accessible. I remember asking about this in the past. There is some 
difference between mount points where some are "global" and some are 
not. IIRC I never got a satisfactory answer as to the question of how 
one tells the difference.

You should probably add some cron entries to ls various files you depend 
on using their exact paths that you use in your scripts. One of them 
will most likely fail.

Meantime you might want to set up SMTP so that cron can email you when 
you make typos like /usr/sbin/date... :-)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/